Hi, yet another issue on the fact that as soon as you enable the module, when editing a vocabulary, even if you don't enable HS, checking "Multiple select" doesn't work.
I think that this is a bug, I think that if you don't enable HS for the vocabulary, the module shouldn't interfere with the form values saving mechanism.

Comments

Status:Active» Postponed (maintainer needs more info)

Yet another issue? Can you point to others then?

Could you please make a screencast of the problem being reproduced on a vanilla Drupal installation? Thanks.

P.S.: HS 3.1 has been released for a couple of weeks now. That won't fix this problem, but it fixes others. I encourage you to update :)

Status:Postponed (maintainer needs more info)» Closed (cannot reproduce)

Closing due to lack of response.

Version:6.x-3.0» 6.x-3.7

I've just run into this same issue. I cannot enable 'Multiple Select' on a vocabulary. HS is not enabled for this vocabulary. Disabling the taxonomy module within HS allows the option to be saved once again.

This worked fine before we upgraded to 3.7.

Status:Closed (cannot reproduce)» Active

i can confirm this as well.. we have 3.7 and even when not enabled; HS breaks setting a vocab to multiple select

however, if you leave HS disabled; but still select to use Dropbox; multiselect works.

I can confirm this bug. Problem lies inside hierarchical_select_taxonomy_form_vocabulary_validate function. This function is called after submitting and reset 'multiple' field. There is no check if hierarchical select is enabled. Unfortunatelly I have no time to write the patch.

Priority:Major» Normal

I upgraded from 3.6 to 3.7 today and have this bug. I'm not able to enter content with 3.7 until this is fixed, so it's at least a Major.

Priority:Normal» Major

Same problem.
Fresh and clean Drupal setup 6.22 + Hierarchical Select 6.x-3.7 (and a few other modules).

Settings:
- Save term lineage
- Allow the user to choose a term from any level
- Allow creation of new terms
- Allow creation of new levels (3)

We decided to make our own "simple" geographic taxonomy hierarchy, since this sadly is still not part of Gmaps (hundred of posts since many years - http://drupal.org/node/1094320#comment-4580702 to mention one).

Structure in 3 levels: country - region - city (maybe district as the 4th)

Process

1) - Creating content starts with taxonomy. For first content, vocabulary is still empty so you see an empty dropdown with 2 options:
-none-
-create new country-

2) - You select the second option to create your first country and get, in a nice box:

field: new country
button: create
button: cancel

overwrite the field with your country and hit create!

3) For a moment you get the wait-stage circle, then the nice box disappears.
For another moment a 2nd dropdown shows up to the left of the 1st dropdown and then disappears again.

4) Congratulations! You're back at 1)

I fully agree it's major!
No creation of (new) terms -> no creation of website.

Our setup couldn't be more basic, so I don't understand how come this was closed because of "cannot reproduce".
I hope this description is the "more info" the maintainers needed. Even if it's short, it couldn't be more precise, unless finger movements over the keyboard are required as well. (screenshot makes no sense because you can't grab the disappearing 2nd dropbox!)

If for any reason it is still not enough info, let me know and I'll create a test account to enjoy.

Priority:Normal» Major

I'm running Drupal 6.22 and HS 6.x-3.7 and also have this problem. When I check "Multiple Select" on a vocabulary that that doesn't have "Use the Hierarchical Select form element for this vocabulary" checked, it will not save that option.

err.... tried with 3.6 and 3.5 as well and exactly the same. Maybe the problem is D 6.22??
Or should I try up to HS 2.01??
I am starting to get the feeling we might just as well forget about the whole idea.
Aaaarghhh.... Drupal..... :(

Sorry I just discover I had NOT tried out 3.5 yet, had been uploading it to yet another test site (many are needed if you want to tryout different drupal modules or combinations).
So now I did upload 3.5 and when saving the only Vocabulary on this fresh and clean Drupal install after selecting "Use the Hierarchical Select form element for this vocabulary" I got this following error:

warning: array_shift() [function.array-shift]: The argument should be an array in xxx/public_html/includes/form.inc on line 1338.

And of course it did not work either, but I just mention it in case it is of any help.
Too bad, another day without progress... ¿Why doesn't it just work like in that beautiful demo?

Hi, tired of waiting I just enabled access to tryout.onamap.org so whoever can check for him/herself in some future.

user: keep
password: dreaming? (yes, it includes the question mark)

Same problem on a 6.20 site.

what liquidcms suggested in #5 worked for me, thanks.

i'm not sure if what i'm seeing is this problem..
drupal 6.20
hs 3.7

i can't edit some nodes anymore.

?

+1 for this, same symptoms. #5 seems to solve it, but it's not so nice.

Status:Active» Needs review
StatusFileSize
new1.13 KB

Attached patch should fix the problem.

StatusFileSize
new1.13 KB

First patch had a typo. Try this patch.

The patch in #20 fixes it for me.

Ditto for me--hoping this makes it into a release soon.

This missed the boat for alpha 4, but I'll definitely review this when I get back from my brief vacation :)

Status:Needs review» Reviewed & tested by the community

Bit me too and #20 works fine. RTBC - let's get this released. Thanks for the module.

Status:Reviewed & tested by the community» Fixed

Status:Fixed» Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.